#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";


if ($q->param('fct') eq "") { &start; }
if ($q->param('fct') eq "next") { &donext; }
if ($q->param('fct') eq "save_cust_emls") { &save_cust_emls; }
if ($q->param('fct') eq "cust_inclussion_email") { &cust_inclussion_email; }
if ($q->param('fct') eq "save_included_email") { &save_included_email; }



sub save_included_email
{

	open (EMLA, "> $data_dir/linkincl.eml");
		
		print EMLA 	$q->param('from_name') . "\n" .
						$q->param('from_email') . "\n" .
						$q->param('email_subject') . "\n" .
						$q->param('email_message');
		
	close (EMLA);

$hbox = acs::get_heading_box("$web_url/ic_email1.gif", "Email Saved", qq[
Settings Updated. You may <a href="javascript:onClick=window.close()">close</a> this window.
]);
 

print qq[
<html>
<head>
<title>PowerSeek SQL</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox
</body>
</html>
];

}



sub cust_inclussion_email
{

$email_message_n1 = acs::get_file_contents("$data_dir/linkincl.eml");
@elines = split (/\n/, $email_message_n1);

$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
		{
		($keyname, $visible, $size, $searched, $description1, $na, $imgk,$numbf) = split (/\t/, $k_item);
	
		if ($numbf ne "Upload")
			{
			$extrakdata = $extrakdata . qq[
       	 <tr>
       	   <td width="27%" height="15" align="right" class="normaltext"><strong><font color="#8080C0">!!$keyname!!</font></strong></td>
       	   <td width="73%" height="15" class="normaltext">Replaced by Extra Key/Field.</td>
       	 </tr>
       	];
       }
		
		 
		}


if ($from_name eq "") {$from_name = "Your Search Engine & Directory Name";}
if ($from_email eq "") {$from_email = "you\@yourdomain.com";}
if ($email_subject eq "") {$email_subject = "Your link has been included in our Search Engine & Directory.";}
if ($email_message eq "") {$email_message = "We would like to inform you that we have included your link in our Search Engine & Directory.

The link details we added is as follows:

Title: !!title_without_link!!
Description: !!description!!
URL: !!url!!
Category: !!category!!
Date Added: !!date!!

Owner Name: !!name!!
Email: !!email!!

An account has been created for you where you may modify the details of your link at any time.

You can access your account here:
!!link_to_user_cpanel!!

User Name: !!cpanel_user!!
Password:  !!cpanel_pass!!

Note that your link won't be available in Index emmediately but will be available within our Index when updated shortly.

Thanks
Your Search Engine Name
";
}


$hbox = acs::get_heading_box("$web_url/ic_email1.gif", "Customize Link Inclusion Email", qq[
Customize the email message sent to users to notify them that their link was included.
]);
 

print qq[
<html>
<head>
<title>PowerSeek SQL</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox




<form method="POST" action="$admin_url/admin75.cgi">
  <input type="hidden" name="fct" value="save_included_email"><input type="hidden"
  name="emlnot" value="true"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#D7D7D7">
    <tr>
      <td width="15%" bgcolor="#F4F4F4" class="normaltext"><p><strong>From Name: </strong></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name" size="40"  value="$from_name"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#F4F4F4" class="normaltext"><strong>From Email:</strong></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email" size="40"  value="$from_email"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#F4F4F4" class="normaltext"><p><strong>Email Subject:</strong></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject" size="57"  value="$email_subject"> </td>
    </tr>
    <tr>
      <td width="15%" valign="top" bgcolor="#F4F4F4" class="normaltext"><p><strong>Message:</strong></td>
      <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message" cols="77"  style="width:100%">
$email_message
</textarea> <div align="left"><p><input type="submit" value="     Save    " name="B1"> </p>
      </div><p>&nbsp; </td>
    </tr>
    <tr>
      <td width="100%" bgcolor="#FFFFFF" valign="top" colspan="2"><div align="left"><p><strong>Variables
      Available For Use In This Email </strong></p>
      </div><table border="0" cellpadding="6" cellspacing="0" width="100%" height="181">
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!title_without_link!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the title of the link. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!description!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the description of the link. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!keywords!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the keywords of the link. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!url!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the url of the link. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!date!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the date when the link was added. </td>
        </tr>
        <tr>
          <td width="27%" height="28" align="right" class="normaltext"><strong>!!gethtml!! </strong></td>
          <td width="73%" height="28" class="normaltext">Replaced by the URL to a page where the link owner can get the
          HTML code to place on his web site, so that visitors can rate his link. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!name!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the name of the link owner. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!email!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the email address of the link owner. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!link_to_user_cpanel!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by a URL to the User Control Panel where the user can
          login to modify his/her link. (Only valid when the user registration system is in use) </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!category!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by category the link was added. </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!cpanel_user!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the User Control Panel User Name that the user
          will use to login. (Only valid when the user registration system is in use) </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!cpanel_pass!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the User Control Panel password that the user will
          use to login. (Only valid when the user registration system is in use) </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!mpassword!! </strong></td>
          <td width="73%" height="15" class="normaltext">Replaced by the modify password of the link. (Only valid when
          the user registration system is not in use) </td>
        </tr>
        <tr>
          <td width="27%" height="15" align="right" class="normaltext"><strong>!!modify_url!! </strong></td>
          <td width="73%" height="15" class="normaltext">Link to modify the link added. (Only valid when the user
          registration system is not in use) </td>
        </tr>
$extrakdata 
      </table>      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>

</body>
</html>
];

}





sub save_cust_emls
{


if ($q->param('emlnot') eq "true")
	{
	open (EMLA, "> $data_dir/emlnot.eml");
		
		print EMLA 	$q->param('from_name_n') . "\n" .
						$q->param('from_email_n') . "\n" .
						$q->param('email_subject_n') . "\n" .
						$q->param('email_message_n');
		
	close (EMLA);
	
	}
	
	
if ($q->param('emladm')  eq "true")
	{

	open (EMLA, "> $data_dir/emladm.eml");
		
		print EMLA 	$q->param('from_name_admin') . "\n" .
						$q->param('to_email_admin') . "\n" .
						$q->param('from_email_admin') . "\n" .
						$q->param('email_subject_admin') . "\n" . 
						$q->param('email_message_admin');
		
	close (EMLA);

	}


$hbox = acs::get_heading_box("$web_url/ic_comment.gif", "Comment/Review Email Notifications Saved", qq[
You may <a href="javascript:onClick=window.close()">close</a> this window or <a href="$admin_url/admin16.cgi">click here to continue</a>.
]);


print qq[<html>
<head>
<title>Reviews/Comments</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />   
</head>
<body>
$hbox
</body>
</html>
];	


}





sub donext
{

open (DTA, "> $data_dir/emlcomnot.dat");
	print DTA $q->param('emlnot') . "\n";
	print DTA $q->param('emladm') . "\n";
close (DTA);


if (($q->param('emlnot') eq "N") and ($q->param('emladm') eq "N"))
	{

$hbox = acs::get_heading_box("$web_url/ic_comment.gif", "Comment/Review Email Notifications", qq[
Settings Updated. You may <a href="javascript:onClick=window.close()">close</a> this window.
]);
 
	
print qq[<html>

<head>
<title>Reviews/Comments</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />   
</head>

<body>

$hbox

</body>
</html>
];	
	}
	else
	{


$email_message_n1 = acs::get_file_contents("$data_dir/emlnot.eml");
@elines = split (/\n/, $email_message_n1);

$from_name_n = $elines[0];
$from_email_n = $elines[1];
$email_subject_n = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message_n = $email_message_n . $line . "\n";
		}
	$lnc++;
	}


if ($from_name_n eq "") {$from_name_n = "Your Search Engine & Directory Name"; }
if ($from_email_n eq "") {$from_email_n = "you\@yourdomain.com"; }
if ($email_subject_n eq "") {$email_subject_n = "Your link has received a comment."; }
if ($email_message_n eq "") 
	{
	$email_message_n = "A comment was posted regarding your link.

You can view the comment that was posted here:
%%comment_link%%
(Note that it will only be available it approved)

Your link details is as follows:

Title: !!link_title!!
Description: !!link_description!!
URL: !!link_url!!
"; }




$emailadm = acs::get_file_contents("$data_dir/emladm.eml");
@elines = split (/\n/, $emailadm);

$from_name_admin = $elines[0];
$to_email_admin = $elines[1];
$from_email_admin = $elines[2];
$email_subject_admin = $elines[3];


$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 3)
		{
		$email_message_admin = $email_message_admin . $line . "\n";
		}
	$lnc++;
	}



if ($from_name_admin eq "") {$from_name_admin = "PowerSeek Link Comments"; }
if ($to_email_admin eq "") {$to_email_admin = "you\@yourdomain.com"; }
if ($from_email_admin eq "") {$from_email_admin = "you\@yourdomain.com"; }
if ($email_subject_admin eq "") {$email_subject_admin = "Your link has received a comment."; }
if ($email_message_admin eq "") {$email_message_admin = "A comment was posted to a link.

You can view the comment that was posted here:
%%comment_link%%

The link details is as follows:

Title: !!link_title!!
Description: !!link_description!!
URL: !!link_url!!"; 

}

	
	
	if ($q->param('emlnot') eq "Y")
		{
		$eml_not_cust = qq[
		


<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
  <tr>
    <td width="100%" colspan="2" bgcolor="#FFFFFF" class="normaltext"
    background="$web_url/bar6.gif"><strong>Link Owner Notification Email</strong></td>
  </tr>
  <tr>
    <td width="100%" colspan="2" bgcolor="#FFFFFF" class="normaltext">Link owners will receive
    this email when a comment/review is posted for their link listing </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF"><p align="right"><strong>From Name: </strong></td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name_n" size="40"
    value="$from_name_n" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF"><strong><p align="right">From Email: </strong></td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email_n" size="40"
    value="$from_email_n" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF"><strong><p align="right">Email Subject: </strong></td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject_n" size="57"
    value="$email_subject_n" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF" valign="top"><strong><p align="right">Message: </strong></td>
    <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message_n" cols="77" >$email_message_n</textarea> <p align="left"><strong>Variables Available
    For Use In This Email:</strong></p>
    <table border="0" cellpadding="3" cellspacing="0" width="100%">
      <tr>
        <td width="27%" class="normaltext"><strong>%%comment_link%% </strong></td>
        <td width="73%" class="normaltext">This link is replaced by the URL where the listing's
        comments are listed. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_title!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the title of the link listing a comment was
        posted for. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_url!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the URL of the link listing a comment was
        posted for. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_description!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the description of the link listing a
        comment was posted for. </td>
      </tr>
    </table>
    </td>
  </tr>
</table>


<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>
		
		<input type="hidden" name="emlnot" value="true">
		];
		}


	if ($q->param('emladm') eq "Y")
		{
		$eml_admin_not = qq[



<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
  <tr>
    <td width="100%" colspan="2" bgcolor="#FFFFFF" class="normaltext"
    background="$web_url/bar6.gif"><strong>Admin Notification Email</strong></td>
  </tr>
  <tr>
    <td width="100%" colspan="2" bgcolor="#FFFFFF" class="normaltext">This email will be sent
    to the PowerSeek Admin when a comments are posted for any links.</td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Name: </td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name_admin" size="40"
    value="$from_name_admin" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext">To Email: </td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="to_email_admin" size="40"
    value="$to_email_admin" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Email: </td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email_admin" size="40"
    value="$from_email_admin" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext">Email Subject: </td>
    <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject_admin" size="57"
    value="$email_subject_admin" style="width:100%"> </td>
  </tr>
  <tr>
    <td width="15%" valign="top" bgcolor="#FFFFFF" class="normaltext">Message:</td>
    <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message_admin" cols="77" style="width:100%">$email_message_admin</textarea> <p align="left"><strong>Variables Available For Use In This Email:</strong></p>
    <table border="0" cellpadding="3" cellspacing="0" width="100%">
      <tr>
        <td width="27%" class="normaltext"><strong>%%comment_link%% </strong></td>
        <td width="73%" class="normaltext">This link is replaced by the URL where the listing's
        comments are listed. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_title!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the title of the link listing a comment was
        posted for. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_url!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the URL of the link listing a comment was
        posted for. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!link_description!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the description of the link listing a
        comment was posted for. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!name!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the name of the user who posted a comment. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!email!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the email address of the user who posted a
        comment. </td>
      </tr>
      <tr>
        <td width="27%" class="normaltext"><strong>!!comment!! </strong></td>
        <td width="73%" class="normaltext">Replaced by the comment/reivew of the user who posted a
        comment. </td>
      </tr>
    </table>
    </td>
  </tr>
</table>


<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

		<input type="hidden" name="emladm" value="true">
];
		
		}




$hbox = acs::get_heading_box("$web_url/ic_comment.gif", "Comment/Review Notification Email Customization", qq[
Customize the email messages below.
]);



print qq[
<html>
<head>
<title>Reviews/Comments</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />   
</head>
<body>

<form method="POST" action="$admin_url/admin75.cgi">
$hbox
  <input type="hidden" name="fct" value="save_cust_emls">
  $eml_not_cust 
  $eml_admin_not

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
  <tr>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext"></td>
    <td width="85%" bgcolor="#FFFFFF"><input type="submit" value="          Save Email        " name="B1"></td>
  </tr>
</table>
 <table border="0" cellpadding="0" cellspacing="0" width="100%"
 background="$web_url/shadow.gif">
   <tr>
     <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
     <td width="99%"></td>
   </tr>
 </table>
</form>
</body>
</html>

];
	
	}


}


 
sub start
{

$eml_settings = acs::get_file_contents("$data_dir/emlcomnot.dat"); 

($emlnot, $emladm) = split (/\n/, $eml_settings);

if ($emlnot eq "Y") { $emlnot_y = "checked"; } else {  $emlnot_n = "checked"; }
if ($emladm eq "Y") { $emladm_y = "checked"; } else {  $emladm_n = "checked"; }


$hbox = acs::get_heading_box("$web_url/ic_comment.gif", "Comment/Review Email Notifications", qq[
Enables you to send email to link listing owners when a comment/review has been posted to a listing. Note that notification to link owners will only be sent to link owners after the Administrator has approved comments/reviews for display with link listings. 
Also note that you can choose to send notification about comments/reviews to link owners when approving comments/reviews from the PowerSeek Control Panel.
]);
 

print qq[
<html>
<head>
<title>Reviews/Comments</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />   
</head>
<body>

$hbox

<form method="POST" action="$admin_url/admin75.cgi">
  <table
  border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#E9E9E9">
    <tr>
      <td height="30" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Enable Admin Notification:</strong></td>
    </tr>
    <tr>
      <td height="30" bgcolor="#FFFFFF" class="normaltext"><input type="radio" value="Y" name="emladm"
      $emladm_y> 
        Yes, send email notification to the admin user of PowerSeek when a new comment
      was posted. <br>
      <input type="radio" value="N" name="emladm" $emladm_n> 
      No, don't send email notification
      to the admin user of PowerSeek when a new comment was posted. </td>
    </tr>
    <tr>
      <td height="30" bgcolor="#FFFFFF"><input type="submit" value="   Next   "
      name="B1">
        <input type="hidden" name="emlnot" value="Y">
      <input type="hidden" name="fct" value="next"></td>
    </tr>
  </table>
</form>

</body>
</html>


];

}









####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

